aboutsummaryrefslogtreecommitdiff
path: root/test/basic
diff options
context:
space:
mode:
authorCarl Worth <cworth@cworth.org>2010-09-17 15:58:39 -0700
committerCarl Worth <cworth@cworth.org>2010-09-17 16:01:42 -0700
commit7263aa9ec3f72bb65a491b2c64345ab5258b24ee (patch)
tree57614bee32cf5247100d01b02428766486be3552 /test/basic
parent51cd69feb1d131db7a468e33e0fa2e043caad41e (diff)
test: Rename all tests to get rid of the ugly numbers in file names.
The numbers were meaningless, and they made it hard to find a file of interest. Instead, we get the ordering we want by adding an explicit list of tests to run to the notmuch-test script.
Diffstat (limited to 'test/basic')
-rwxr-xr-xtest/basic73
1 files changed, 73 insertions, 0 deletions
diff --git a/test/basic b/test/basic
new file mode 100755
index 0000000..eb10953
--- /dev/null
+++ b/test/basic
@@ -0,0 +1,73 @@
+#!/bin/bash
+#
+# Copyright (c) 2005 Junio C Hamano
+#
+
+test_description='the test framework itself.'
+
+################################################################
+# It appears that people try to run tests without building...
+
+if ! test -x ../notmuch
+then
+ echo >&2 'You do not seem to have built notmuch yet.'
+ exit 1
+fi
+
+. ./test-lib.sh
+
+################################################################
+# Test harness
+test_expect_success 'success is reported like this' '
+ :
+'
+test_set_prereq HAVEIT
+haveit=no
+test_expect_success HAVEIT 'test runs if prerequisite is satisfied' '
+ test_have_prereq HAVEIT &&
+ haveit=yes
+'
+
+clean=no
+test_expect_success 'tests clean up after themselves' '
+ test_when_finished clean=yes
+'
+
+cleaner=no
+test_expect_code 1 'tests clean up even after a failure' '
+ test_when_finished cleaner=yes &&
+ (exit 1)
+'
+
+if test $clean$cleaner != yesyes
+then
+ say "bug in test framework: cleanup commands do not work reliably"
+ exit 1
+fi
+
+test_expect_code 2 'failure to clean up causes the test to fail' '
+ test_when_finished "(exit 2)"
+'
+
+################################################################
+# Test mail store prepared in test-lib.sh
+
+test_expect_success \
+ 'test that mail store was created' \
+ 'test -d "${MAIL_DIR}"'
+
+
+find "${MAIL_DIR}" -type f -print >should-be-empty
+test_expect_success \
+ 'mail store should be empty' \
+ 'cmp -s /dev/null should-be-empty'
+
+test_expect_success \
+ 'NOTMUCH_CONFIG is set and points to an existing file' \
+ 'test -f "${NOTMUCH_CONFIG}"'
+
+test_expect_success \
+ 'PATH is set to this repository' \
+ 'test "`echo $PATH|cut -f1 -d:`" = "`dirname ${TEST_DIRECTORY}`"'
+
+test_done